1 Reply Latest reply on May 21, 2014 9:08 AM by Simon Turner

    How to set the Radial Dimension Text Position?

    Yong Ning

      2010 SolidWorks Help - Dimension Leaders PropertyManager

      http://help.solidworks.com/2010/English/solidworks/sldworks/legacyhelp/sldworks/detailing/hidd_dve_dimension_leaders.htm

       

       

      Custom Text Position

       

      Radial Dimension Text

      Solid leader, aligned text

       

       

      Broken leader, horizontal text

       

       

      Broken leader, aligned text

       

       

      help me.

      API → Broken leader, horizontal text.

       

      000.jpg

       

      Sub lll()

        Dim SwApp As SldWorks.SldWorks, SwModel As ModelDoc2, SwDraw As DrawingDoc

          Set SwApp = GetObject(, "SldWorks.Application")

          Set SwModel = SwApp.ActiveDoc

          Set SwDraw = SwModel

        Dim SwSelMgr As SelectionMgr

          Set SwSelMgr = SwModel.SelectionManager

        Dim DispDim As DisplayDimension, SwDim As Dimension, SwAnn As Annotation

       

          Set DispDim = SwSelMgr.GetSelectedObject6(1, -1)

          With DispDim

            Debug.Print .HorizontalJustification

            '?????

          End With

          ''

          With SwDim

            '?????

          End With

          Set SwAnn = DispDim.GetAnnotation

          With SwAnn

            '?????

          End With

      End Sub